// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef OMGSOURCEEXTRACTIONREGION
#define OMGSOURCEEXTRACTIONREGION

    // A class for the spectrum extraction region rectangles
class QRect;
class ImageDlg;

class ExtractionRegion
{
    public:
        ExtractionRegion(ImageDlg *parent, QRect &rect1, 
          QRect &rect2, QRect &rect3, QRect &rect4, QRect &rect5, QRect &rect6, 
              float x0, float y0, float xFirst = 0.0, float yFirst = 0.0, 
              int srcNum = 0, int origin = 0);
        ExtractionRegion(QRect &rect1, 
          QRect &rect2, QRect &rect3, QRect &rect4, QRect &rect5, QRect &rect6, 
              float x0, float y0, float xFirst = 0.0, float yFirst = 0.0, 

              int srcNum = 0, int origin = 0);




        ExtractionRegion(float x0, float y0, float xFirst, float yFirst, int srcNum, int origin);
	
	
	






	void setBinningFactor(int bin) { _binSize = bin; };

        // The following is for converting a rect
        // on the image to an om pixel rect 
        static QRect convertToOmRect(ImageDlg* _parent, QRect &rect);
 

        // The following is for converting an OM rect
        // to a rect on the image 
        static QRect convertFromOmRect(ImageDlg* _parent, QRect &rect);
       

	void convert(ImageDlg* _parent);
	 
	ImageDlg* _parent;
        QRect _centralRect;
        QRect _leftBackgroundRect;
        QRect _rightBackgroundRect;
        QRect _omCentralRect;
        QRect _omLeftBackgroundRect;
        QRect _omRightBackgroundRect;
        float _x0, _y0;          // The om coordinates of the zero order spectrum           
        float _xFirst, _yFirst;  // The om coordinates of the first order spectrum           

        int _srcNum;     // The source number of the zero-order spectrum                 
        int _origin;
        int _binSize;
};
#endif







