// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include "Dal.h"
#include <iostream>
#include<cstring>
#include "OmGsourceList.h"
#include <cstdlib>
float *LoadColumnData(const string& fileName, 
                      const string& tableName, 
                      const string& columnName, 
                      int &size)
{
     
   
    // Open the file
    DataSet *dataSet = dataSetServer->open(fileName, Dal::Read);
    if (dataSet)
      cout << "dataset successfully opened\n";
    else
      return 0;    


   if (dataSet->hasBlock(tableName)) 
  {
      cout << "table exists\n";
    }
    else
      {
      cout << "Table doesn't exist\n";
    dataSetServer->close(dataSet); // Finished with the file
 
      return 0;

      }


    // Read the table
    const Table *table = dataSet->table(tableName);
  
    size = table->rows();
   
  
    float *data = 0;
    cout << "Load column data file name=" << fileName << " tab;e=" << tableName << " column name=" << columnName << endl;

    if (table->hasColumn(columnName))
    { 
        const ColumnData *columnData = table->column(columnName)->data();
        if (!columnData) exit(0);
	

      
        float *xData = columnData->real32Data();
        data = new float[size];


	for (int i=0; i< size; i++) 
        {
	  data[i] = xData[i]; 
	 
	}
     }
     else
       cout << "Column " << columnName << " doesn't exist\n";
       
    dataSetServer->close(dataSet); // Finished with the file
   
   

  if (data) 
      cout << "successfully loaded data\n";
    else
    cout << "could not  load data\n";
  


    return data;
};

int *LoadIntColumnData(const string& fileName, const string& tableName, const string& columnName, int &size)
{
    
    cout << "loadintcolumn data fileName=" << fileName 
         << " tablename=" << tableName << " column mame=" << columnName << endl;

 
    // Open the file
    DataSet *dataSet = dataSetServer->open(fileName, Dal::Read);

    cout << "Line 85\n";
    if (dataSet)
      cout << "dataset successfully opened in loadintcolumndata\n";
    else
      {
	cout << "failure to open data set\n";
      return 0;    
      }



    cout << "line 95\n";
      // Read the table

    if (dataSet->hasBlock(tableName)) 
    {
      cout << "table exists\n";
    }
    else
      {
      cout << "Table doesn't exist\n";
      dataSetServer->close(dataSet); // Finished with the file
      
      return 0;

    }
    const Table *table = dataSet->table(tableName);
  
    cout << "Line 68\n";  
    size = table->rows();
   
    cout << "Line 78\n";  
  
    int *data = 0;
    int noColumns = table->columns();
    cout << "ColumnNumber for column " << columnName << " =" << table->columnNumber("SRCNUM") << endl;
    cout << "no of columns=" << noColumns << endl;
    if (table->hasColumn(columnName))
  
      //        if (table->hasColumn("SPECTR_NO"))
    { 
              const ColumnData *columnData = table->column(columnName)->data();
	      //      const ColumnData *columnData = table->column("SPECTR_NO")->data();
 
       if (!columnData) exit(0);
	
   cout << "Line 86\n";  
 
      
        int *xData = columnData->int32Data();
        data = new int[size];


	for (int i=0; i< size; i++) 
        {
	  data[i] = xData[i]; 
       
	}
     }
     else
       cout << "Column " << columnName << " doesn't exist\n";
       
    dataSetServer->close(dataSet); // Finished with the file
      
    if (data) 
      cout << "successfully loaded data\n";
    else
    cout << "could not  load data\n";
  
    return data;
};







