// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      OmProgressDialog.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Sep 17 14:00:30 CEST 2002
// Usage:     -
// Info:      -

#ifndef OmProgressDialog_h
#define OmProgressDialog_h

#include <string>
#include <qstring.h> 
class QProgressDialog; // forward
class OmProgressDialog 
{
  
public:
  OmProgressDialog(const std::string& text, int steps);
  virtual ~OmProgressDialog();

  void setText(const std::string&);
  void setProgress(int);

  int progress() const;
  int totalSteps() const;
  //  QProgressDialog* GetProgressDialog() {return  _impl; };
protected:
  // only derived classes can use these

private:
  // member functions
  OmProgressDialog(const OmProgressDialog&);            // copy constructor (disabled)
  OmProgressDialog& operator=(const OmProgressDialog&); // assignment (disabled)

  // member data
  QProgressDialog* _impl;
};



#endif




